### 8.148 `LINK` — Create a hard link

Description:
  Makes a (hard) link from file PATH1 to PATH2. A null character (`CHAR(0)`) can be used to mark the end of the names in PATH1 and PATH2; otherwise, trailing blanks in the file names are ignored. If the STATUS argument is supplied, it contains 0 on success or a nonzero error code upon return; see `link(2)`.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL LINK(PATH1, PATH2 [, STATUS])`
  `STATUS = LINK(PATH1, PATH2)`

Arguments:

  PATH1 | Shall be of default `CHARACTER` type.
  PATH2 | Shall be of default `CHARACTER` type.
  STATUS | (Optional) Shall be of default `INTEGER` type.

See also:
  SYMLNK, UNLINK